package com.adventurer_engine.network.client2server;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import bkb;
import by;
import com.adventurer_engine.common.data.globaldata.IGlobalData;
import com.adventurer_engine.common.gui_handler.BackpackInventory;
import com.adventurer_engine.common.items.ItemLoader;
import com.adventurer_engine.network.RCsPacket;
import com.adventurer_engine.network.server2client.SendBackpackData;
import com.adventurer_engine.util.Tools;
import com.google.common.io.ByteArrayDataInput;
import com.google.common.io.ByteArrayDataOutput;
import cpw.mods.fml.common.network.PacketDispatcher;
import cpw.mods.fml.common.network.Player;
import cpw.mods.fml.relauncher.Side;
import java.io.IOException;
import uf;
import ye;

public class RequestOpenBackpack extends RCsPacket {
  public void write(ByteArrayDataOutput out) throws IOException {}
  
  public void read(ByteArrayDataInput in) throws IOException {}
  
  public void execute(uf player, Side side) throws RCsPacket.ProtocolException {
    if (side.isClient())
      return; 
    ye item = player.aZ();
    if (item.d != ItemLoader.itemBackpack.cv) {
      player.a(bkb.a("adv.warn.not_the_backpack"));
      return;
    } 
    if (!item.p())
      item.d(new by()); 
    by nbt = item.q();
    if (!nbt.b("backpackName")) {
      String newName = Tools.randomString();
      IGlobalData.BACKPACK_INVENTORY_DATA.allocateBackpackInventory(newName, player);
      nbt.a("backpackName", newName);
    } 
    BackpackInventory inv = IGlobalData.BACKPACK_INVENTORY_DATA.getBackpackInventory(nbt.i("backpackName"), player);
    by invData = new by();
    inv.writeToNBT(invData);
    PacketDispatcher.sendPacketToPlayer((new SendBackpackData(invData)).makePacket(), (Player)player);
  }
}
